Reiner-SCT-Reader cyberjack USB not detected on Leap 42.*

Under Suse13.2 my Reiner-SCT cyberjack USB is detected when using opensc-tool -l , but on 42.2, with the same packages installed, it is not detected.

installed packages on both systems:
libpcsclite1, libpcsclite1-32bit,libpcscspy0,libpcscspy0-32bit,pcsc-cyberjack,pcsc-lite,pcsc-lite-devel,perl-pcsc,opensc on both systems the current versions as by YAST2

On 13.2 opensc-tool -l gives

Detected readers (pcsc)

Nr. Card Features Name
0 Yes PIN pad REINER SCT cyberJack pp_a2 (3865505373) 00 00

On 42.2 it gives
No smart card readers found.
When the reader is inserted, dmesg shows it: 6450.350733] usb 2-1.3: new full-speed USB device number 5 using ehci-pci
6450.511958] usb 2-1.3: New USB device found, idVendor=0c4b, idProduct=0401
6450.511978] usb 2-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
6450.511983] usb 2-1.3: Product: cyberJack e-com(f)
6450.511988] usb 2-1.3: Manufacturer: Reiner-SCT
6450.511991] usb 2-1.3: SerialNumber: 3865505373

On a parallel installation of debian8 on the machine with 42.2, the Reiner-SCT is detected and works fine!!!

What is the problem in 42.2?

flexwippy

Here with an cyberjack RFID standard it works:

Jul 10 15:42:50 linux64 kernel: usb 4-1.2: new full-speed USB device number 5 using ehci-pci
Jul 10 15:42:50 linux64 kernel: usb 4-1.2: New USB device found, idVendor=0c4b, idProduct=0500
Jul 10 15:42:50 linux64 kernel: usb 4-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jul 10 15:42:50 linux64 kernel: usb 4-1.2: Product: cyberJack RFID standard
Jul 10 15:42:50 linux64 kernel: usb 4-1.2: Manufacturer: REINER SCT
Jul 10 15:42:50 linux64 kernel: usb 4-1.2: SerialNumber: 5801785180
Jul 10 15:42:50 linux64 mtp-probe[8976]: checking bus 4, device 5: "/sys/devices/pci0000:00/0000:00:13.2/usb4/4-1/4-1.2"
Jul 10 15:42:50 linux64 mtp-probe[8976]: bus: 4, device: 5 was not an MTP device
Jul 10 15:42:50 linux64 systemd[1]: Reached target Smart Card.

moneyplex is working with an hbci Card and the reader.

Your reader is also in the pcsc Package:

cat /usr/lib/udev/rules.d/40-cyberjack.rules 
SUBSYSTEM!="usb", GOTO="cyberjack_rules_end"
ENV{DEVTYPE}!="usb_device", GOTO="cyberjack_rules_end"
ACTION!="add", GOTO="cyberjack_rules_end"

ENV{ID_USB_INTERFACES}=="", IMPORT{program}="usb_id --export %p"

ATTRS{idVendor}=="0c4b", ATTRS{idProduct}=="0100", ENV{ID_SMARTCARD_READER}="1"
ATTRS{idVendor}=="0c4b", ATTRS{idProduct}=="0300", ENV{ID_SMARTCARD_READER}="1"
ATTRS{idVendor}=="0c4b", ATTRS{idProduct}=="0400", ENV{ID_SMARTCARD_READER}="1"
ATTRS{idVendor}=="0c4b", ATTRS{idProduct}=="0401", ENV{ID_SMARTCARD_READER}="1"
ATTRS{idVendor}=="0c4b", ATTRS{idProduct}=="0500", ENV{ID_SMARTCARD_READER}="1"
ATTRS{idVendor}=="0c4b", ATTRS{idProduct}=="0501", ENV{ID_SMARTCARD_READER}="1"

LABEL="cyberjack_rules_end"

In which Programm do you want to use ist?
You can test it with pcsc-tools from the security Repo:
http://download.opensuse.org/repositories/security:/chipcard/openSUSE_Leap_42.2/x86_64/pcsc-tools-1.5.2-1.1.x86_64.rpm

Post:

zypper se -si pcsc
zypper lr -d

And please, use Code-Tags, better to read…

Thank you for the quick answer. I am not used to the fancy things in this forum. Sorry, I don’t know how to add this code-type.

After installing the pcsc-tools: no change, the reader is not seen.

Here the Information from 42.2:

zypper se -si pcsc
Repository-Daten werden geladen…
Installierte Pakete werden gelesen…

S | Name | Typ | Version | Arch | Repository
—±-------------------±------±---------------------±-------±--------------------------------------
i+ | libpcsclite1 | Paket | 1.8.17-3.1 | x86_64 | Main Update Repository
i+ | libpcsclite1 | Paket | 1.8.17-3.1 | x86_64 | openSUSE.orgpenSUSE:Leap:42.2:Update
i+ | libpcsclite1-32bit | Paket | 1.8.17-3.1 | x86_64 | Main Update Repository
i+ | libpcsclite1-32bit | Paket | 1.8.17-3.1 | x86_64 | openSUSE.orgpenSUSE:Leap:42.2:Update
i+ | libpcscspy0 | Paket | 1.8.17-3.1 | x86_64 | Main Update Repository
i+ | libpcscspy0 | Paket | 1.8.17-3.1 | x86_64 | openSUSE.orgpenSUSE:Leap:42.2:Update
i+ | libpcscspy0-32bit | Paket | 1.8.17-3.1 | x86_64 | Main Update Repository
i+ | libpcscspy0-32bit | Paket | 1.8.17-3.1 | x86_64 | openSUSE.orgpenSUSE:Leap:42.2:Update
i+ | pcsc-acsccid | Paket | 1.1.3-1.1 | x86_64 | Main Repository (OSS)
i+ | pcsc-acsccid | Paket | 1.1.3-1.1 | x86_64 | openSUSE-42.2-0
i+ | pcsc-ccid | Paket | 1.4.25-1.1 | x86_64 | Main Repository (OSS)
i+ | pcsc-ccid | Paket | 1.4.25-1.1 | x86_64 | openSUSE-42.2-0
i+ | pcsc-cyberjack | Paket | 3.99.5final.SP09-1.1 | x86_64 | Main Repository (OSS)
i+ | pcsc-cyberjack | Paket | 3.99.5final.SP09-1.1 | x86_64 | openSUSE-42.2-0
i+ | pcsc-gempc | Paket | 1.0.7-11.2 | x86_64 | Main Repository (OSS)
i+ | pcsc-gempc | Paket | 1.0.7-11.2 | x86_64 | openSUSE-42.2-0
i+ | pcsc-lite | Paket | 1.8.17-3.1 | x86_64 | Main Update Repository
i+ | pcsc-lite | Paket | 1.8.17-3.1 | x86_64 | openSUSE.orgpenSUSE:Leap:42.2:Update
i+ | pcsc-lite-devel | Paket | 1.8.17-3.1 | x86_64 | Main Update Repository
i+ | pcsc-lite-devel | Paket | 1.8.17-3.1 | x86_64 | openSUSE.orgpenSUSE:Leap:42.2:Update
i+ | pcsc-tools | Paket | 1.5.2-1.1 | x86_64 | (Systempakete)
i+ | pcsc-towitoko | Paket | 2.0.7-207.3 | x86_64 | Main Repository (OSS)
i+ | pcsc-towitoko | Paket | 2.0.7-207.3 | x86_64 | openSUSE-42.2-0
i+ | perl-pcsc | Paket | 1.4.13-4.2 | x86_64 | Main Repository (OSS)
i+ | perl-pcsc | Paket | 1.4.13-4.2 | x86_64 | openSUSE-42.2-0

zypper lr -d
Die Repository-Priorit?ten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorit?t.

| Alias | Name | Aktiviert | GPG-?berpr?fung | Aktualisierung | Priorit?t | Typ | URI | Dienst

—±------------------------------------±----------------------------------------±----------±----------------±---------------±----------±-------±-------------------------------------------------------------------------±------
1 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Ja | (r ) Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.2/repo/non-oss/ |
2 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss) | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/ |
3 | download.opensuse.org-oss | Main Repository (OSS) | Ja | (r ) Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.2/repo/oss/ |
4 | download.opensuse.org-oss_1 | Main Update Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/42.2/oss |
5 | http-download.opensuse.org-79ca232e | openSUSE.orgpenSUSE:Leap:42.2:Update | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/42.2/oss/ |
6 | http-download.videolan.org-05cc1fd6 | SuSE | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.videolan.org/SuSE/Leap_42.2/ |
7 | openSUSE-42.2-0 | openSUSE-42.2-0 | Ja | (r ) Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.2/repo/oss/ |
8 | repo-debug | openSUSE-Leap-42.2-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/42.2/repo/oss/ |
9 | repo-debug-non-oss | openSUSE-Leap-42.2-Debug-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/42.2/repo/non-oss/ |
10 | repo-debug-update | openSUSE-Leap-42.2-Update-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.2/oss/ |
11 | repo-debug-update-non-oss | openSUSE-Leap-42.2-Update-Debug-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.2/non-oss/ |
12 | repo-source | openSUSE-Leap-42.2-Source | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/42.2/repo/oss/ |
13 | repo-source-non-oss | openSUSE-Leap-42.2-Source-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/42.2/repo/non-oss/ |

Sorry again!
flexwippi

Sorry, I don’t know how to add this code-type.

Hoover over the Icons above in your Answer:
http://openmafia.org/~osf/Screenshots/Auswahl_215.jpg

And copy your Paste between the middle ]

(code]Text/code)

Please in the future use CODE tags around copied/pasted computer text in a post. It is the # button in the tool bar of the post editor. When applicable copy/paste complete, that is including the prompt, the command, the output and the next prompt.

After installing the pcsc-tools: no change, the reader is not seen.

Then it will not work…

Only you can see, whats the Output of a Comannd is, but:
not working
is no Error.
So post the complete Output inc. the Input Command and the complete Input Line.

Use Code-Tags.

Do you Upgrade from 13.2 to 42.2?
Or is it a fresh Installation?

Ok, thank you for the help.
Here again with code:
as said, the reader is not seen, when using pcsc_scan, the code waits to see the first reader. Consistent with opensc-tool -l

zypper se -si pcsc
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name               | Typ   | Version              | Arch   | Repository                            
---+--------------------+-------+----------------------+--------+---------------------------------------
i+ | libpcsclite1       | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository                
i+ | libpcsclite1       | Paket | 1.8.17-3.1           | x86_64 | openSUSE.org:openSUSE:Leap:42.2:Update
i+ | libpcsclite1-32bit | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository                
i+ | libpcsclite1-32bit | Paket | 1.8.17-3.1           | x86_64 | openSUSE.org:openSUSE:Leap:42.2:Update
i+ | libpcscspy0        | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository                
i+ | libpcscspy0        | Paket | 1.8.17-3.1           | x86_64 | openSUSE.org:openSUSE:Leap:42.2:Update
i+ | libpcscspy0-32bit  | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository                
i+ | libpcscspy0-32bit  | Paket | 1.8.17-3.1           | x86_64 | openSUSE.org:openSUSE:Leap:42.2:Update
i+ | pcsc-acsccid       | Paket | 1.1.3-1.1            | x86_64 | Main Repository (OSS)                 
i+ | pcsc-acsccid       | Paket | 1.1.3-1.1            | x86_64 | openSUSE-42.2-0                       
i+ | pcsc-ccid          | Paket | 1.4.25-1.1           | x86_64 | Main Repository (OSS)                 
i+ | pcsc-ccid          | Paket | 1.4.25-1.1           | x86_64 | openSUSE-42.2-0                       
i+ | pcsc-cyberjack     | Paket | 3.99.5final.SP09-1.1 | x86_64 | Main Repository (OSS)                 
i+ | pcsc-cyberjack     | Paket | 3.99.5final.SP09-1.1 | x86_64 | openSUSE-42.2-0                       
i+ | pcsc-gempc         | Paket | 1.0.7-11.2           | x86_64 | Main Repository (OSS)                 
i+ | pcsc-gempc         | Paket | 1.0.7-11.2           | x86_64 | openSUSE-42.2-0                       
i+ | pcsc-lite          | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository                
i+ | pcsc-lite          | Paket | 1.8.17-3.1           | x86_64 | openSUSE.org:openSUSE:Leap:42.2:Update
i+ | pcsc-lite-devel    | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository                
i+ | pcsc-lite-devel    | Paket | 1.8.17-3.1           | x86_64 | openSUSE.org:openSUSE:Leap:42.2:Update
i+ | pcsc-tools         | Paket | 1.5.2-1.1            | x86_64 | (Systempakete)                        
i+ | pcsc-towitoko      | Paket | 2.0.7-207.3          | x86_64 | Main Repository (OSS)                 
i+ | pcsc-towitoko      | Paket | 2.0.7-207.3          | x86_64 | openSUSE-42.2-0                       
i+ | perl-pcsc          | Paket | 1.4.13-4.2           | x86_64 | Main Repository (OSS)                 
i+ | perl-pcsc          | Paket | 1.4.13-4.2           | x86_64 | openSUSE-42.2-0                       


zypper lr -d
Die Repository-Priorit?ten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorit?t.

#  | Alias                               | Name                                    | Aktiviert | GPG-?berpr?fung | Aktualisierung | Priorit?t | Typ    | URI                                                                      | Dienst
---+-------------------------------------+-----------------------------------------+-----------+-----------------+----------------+-----------+--------+--------------------------------------------------------------------------+-------
 1 | download.opensuse.org-non-oss       | Main Repository (NON-OSS)               | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/non-oss/        |       
 2 | download.opensuse.org-non-oss_1     | Update Repository (Non-Oss)             | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/                   |       
 3 | download.opensuse.org-oss           | Main Repository (OSS)                   | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/oss/            |       
 4 | download.opensuse.org-oss_1         | Main Update Repository                  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.2/oss                        |       
 5 | http-download.opensuse.org-79ca232e | openSUSE.org:openSUSE:Leap:42.2:Update  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.2/oss/                       |       
 6 | http-download.videolan.org-05cc1fd6 | SuSE                                    | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.videolan.org/SuSE/Leap_42.2/                             |       
 7 | openSUSE-42.2-0                     | openSUSE-42.2-0                         | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/oss/            |       
 8 | repo-debug                          | openSUSE-Leap-42.2-Debug                | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/42.2/repo/oss/      |       
 9 | repo-debug-non-oss                  | openSUSE-Leap-42.2-Debug-Non-Oss        | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/42.2/repo/non-oss/  |       
10 | repo-debug-update                   | openSUSE-Leap-42.2-Update-Debug         | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/42.2/oss/                 |       
11 | repo-debug-update-non-oss           | openSUSE-Leap-42.2-Update-Debug-Non-Oss | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/42.2/non-oss/             |       
12 | repo-source                         | openSUSE-Leap-42.2-Source               | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/42.2/repo/oss/     |       
13 | repo-source-non-oss                 | openSUSE-Leap-42.2-Source-Non-Oss       | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/42.2/repo/non-oss/ |       


Double Repos:
aas root:

zypper rr http-download.opensuse.org-79ca232e
zypper rr openSUSE-42.2-0

Better Than Videolan is Packman, same Packages and more inside:
Remove Videolan:

zypper rr http://download.videolan.org/SuSE/Leap_42.2/

add Packman:

zypper ar -f http://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_42.2/ packman

Priority for Packman

zypper mr -p 20 http://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_42.2/

dup to Packman:

zypper dup --from http://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_42.2/

After that, both Commands from above and:

pcsc_scan

Here:

pcsc_scan
PC/SC device scanner
V 1.5.2 (c) 2001-2017, Ludovic Rousseau <ludovic.rousseau@free.fr>
Using reader plug'n play mechanism
Scanning present readers...
0: REINER SCT cyberJack RFID standard (5801785180) 00 00
 
Mon Jul 10 17:09:18 2017
 Reader 0: REINER SCT cyberJack RFID standard (5801785180) 00 00
  Card state: Card removed, 
   
Mon Jul 10 17:09:54 2017
 Reader 0: REINER SCT cyberJack RFID standard (5801785180) 00 00
  Card state: Card inserted, 
.
.
.
.
.
.

@flexwippi, @saurland,

It looks like your two devices are recognized, but as different devices.
Perhaps you should start with describing more exactly what your hardware devices are(possibly looking at printed labels or running tools) to determine whether the differences are significant… and perhaps do a Google search to determine support in the kernel you’re running, comparing to the other distros that are working.

Remember that 13.2 was generally running early 3.x kernels whereas LEAP today is running 4.x kernels and there are some significant architectural changes and possibly different support for hardware.

HTH,
TSU

The Readers are different, but as you can see, it should be detected by udev…
The rules-File is in pcsc-cyberjack.

But no Answer if it was an Upgrade from 13.2 to Leap…

Thank you again. I have made all your commands.

zypper se -si pcsc
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name               | Typ   | Version              | Arch   | Repository            
---+--------------------+-------+----------------------+--------+-----------------------
i+ | libpcsclite1       | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository
i+ | libpcsclite1-32bit | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository
i+ | libpcscspy0        | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository
i+ | libpcscspy0-32bit  | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository
i+ | pcsc-acsccid       | Paket | 1.1.3-1.1            | x86_64 | Main Repository (OSS) 
i+ | pcsc-ccid          | Paket | 1.4.25-1.1           | x86_64 | Main Repository (OSS) 
i+ | pcsc-cyberjack     | Paket | 3.99.5final.SP09-1.1 | x86_64 | Main Repository (OSS) 
i+ | pcsc-gempc         | Paket | 1.0.7-11.2           | x86_64 | Main Repository (OSS) 
i+ | pcsc-lite          | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository
i+ | pcsc-lite-devel    | Paket | 1.8.17-3.1           | x86_64 | Main Update Repository
i+ | pcsc-tools         | Paket | 1.5.2-1.1            | x86_64 | (Systempakete)        
i+ | pcsc-towitoko      | Paket | 2.0.7-207.3          | x86_64 | Main Repository (OSS) 
i+ | perl-pcsc          | Paket | 1.4.13-4.2           | x86_64 | Main Repository (OSS)


zypper lr -d
Repository-Priorit?ten treten in Kraft:                                                                                            (Siehe 'zypper lr -P' f?r Details)
      20 (erh?hte Priorit?t)  :  1 Repository 
      99 (Standard-Priorit?t) :  4 Repositorys

#  | Alias                           | Name                                    | Aktiviert | GPG-?berpr?fung | Aktualisierung | Priorit?t | Typ    | URI                                                                      | Dienst
---+---------------------------------+-----------------------------------------+-----------+-----------------+----------------+-----------+--------+--------------------------------------------------------------------------+-------
 1 | download.opensuse.org-non-oss   | Main Repository (NON-OSS)               | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/non-oss/        |       
 2 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss)             | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/                   |       
 3 | download.opensuse.org-oss       | Main Repository (OSS)                   | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/oss/            |       
 4 | download.opensuse.org-oss_1     | Main Update Repository                  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.2/oss                        |       
 5 | packman                         | packman                                 | Ja        | (r ) Ja         | Ja             |   20      | rpm-md | http://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_42.2/       |       
 6 | repo-debug                      | openSUSE-Leap-42.2-Debug                | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/42.2/repo/oss/      |       
 7 | repo-debug-non-oss              | openSUSE-Leap-42.2-Debug-Non-Oss        | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/42.2/repo/non-oss/  |       
 8 | repo-debug-update               | openSUSE-Leap-42.2-Update-Debug         | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/42.2/oss/                 |       
 9 | repo-debug-update-non-oss       | openSUSE-Leap-42.2-Update-Debug-Non-Oss | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/42.2/non-oss/             |       
10 | repo-source                     | openSUSE-Leap-42.2-Source               | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/42.2/repo/oss/     |       
11 | repo-source-non-oss             | openSUSE-Leap-42.2-Source-Non-Oss       | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/42.2/repo/non-oss/ |


The 42.2-system is completely new, because I don’t want to spoil my great 13.2 system.

pcsc_scan
PC/SC device scanner
V 1.5.2 (c) 2001-2017, Ludovic Rousseau <ludovic.rousseau@free.fr>
Using reader plug'n play mechanism
Scanning present readers...
Waiting for the first reader... \ ^C


stopped with ctrl-C, because waiting forever


opensc-tool -l
No smart card readers found.


As said, Debian8 sees the reader.
BTW, I am using this reader with pkcs#11 with a specially written application. But when opensc-tool does not see the reader, pkcs#11 does not come into the picture.

flexwippi

The 42.2 is completely new.

debian8 is also 3.16, as 13.2, so I don’t know what to do! I love 13.2, but in the long run, this is clearly not the system to stay.

flexwippi

Do you try anpother USB Port, or disconnect and connect?

Disconnect the reader, open a Konsole, type in:

journalctl -f

connect the Reader and post here all lines, that will be shown.

journalctl -f
-- Logs begin at Sam 2017-07-08 15:28:34 CEST. --
Jul 10 18:37:43 linux PackageKit[14355]: daemon quit
Jul 10 18:37:43 linux packagekitd[14355]: (packagekitd:14355): GLib-CRITICAL **: Source ID 15 was not found when attempting to remove it
Jul 10 18:38:43 linux systemd[1]: dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.device: Job dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.device/start timed out.
Jul 10 18:38:43 linux systemd[1]: Timed out waiting for device dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.device.
Jul 10 18:38:43 linux systemd[1]: Dependency failed for /dev/disk/by-uuid/b3710c13-276a-46be-990b-fda16c942b99.
Jul 10 18:38:43 linux systemd[1]: dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.swap: Job dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.swap/start failed with result 'dependency'.
Jul 10 18:38:43 linux systemd[1]: dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.device: Job dev-disk-by\x2duuid-b3710c13\x2d276a\x2d46be\x2d990b\x2dfda16c942b99.device/start failed with result 'timeout'.
Jul 10 18:39:51 linux su[15127]: (to root) phenom on pts/4
Jul 10 18:39:51 linux su[15127]: pam_unix(su:session): session opened for user root by phenom(uid=1027)
Jul 10 18:39:51 linux su[15127]: pam_systemd(su:session): Cannot create session: Already running in a session
Jul 10 18:40:01 linux kernel: usb 1-1: USB disconnect, device number 2
Jul 10 18:40:01 linux systemd[1]: smartcard.target: Unit not needed anymore. Stopping.
Jul 10 18:40:01 linux systemd[1]: Stopped target Smart Card.
Jul 10 18:40:17 linux kernel: usb 1-1: new full-speed USB device number 7 using xhci_hcd
Jul 10 18:40:17 linux kernel: usb 1-1: New USB device found, idVendor=0c4b, idProduct=0401                                                                           
Jul 10 18:40:17 linux kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3                                                                      
Jul 10 18:40:17 linux kernel: usb 1-1: Product: cyberJack e-com(f)                                                                                                   
Jul 10 18:40:17 linux kernel: usb 1-1: Manufacturer: Reiner-SCT                                                                                                      
Jul 10 18:40:17 linux kernel: usb 1-1: SerialNumber: 3865505373                                                                                                      
Jul 10 18:40:17 linux mtp-probe[15325]: checking bus 1, device 7: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-1"                                                    
Jul 10 18:40:17 linux mtp-probe[15325]: bus: 1, device: 7 was not an MTP device                                                                                      
Jul 10 18:40:17 linux systemd[1]: Reached target Smart Card.                                                                                                         


Thank you for your patience.
My reader is from 2008, so it is definitely not a new one, but I think, that that should not be important.

flexwippi

Did you try another USB-Port?
Is that a Laptop?

as root:

systemctl status pcscd.service
systemctl status pcscd.socket

Hi Sauerland

Many thanks

It is a shuttle ds67u with two SSD-disks.

Here the results:


systemctl status pcscd.service
* pcscd.service - PC/SC Smart Card Daemon
   Loaded: loaded (/usr/lib/systemd/system/pcscd.service; indirect; vendor preset: enabled)
   Active: inactive (dead)
linux:/home/phenom # systemctl status pcscd.socket
* pcscd.socket - PC/SC Smart Card Daemon Activation Socket
   Loaded: loaded (/usr/lib/systemd/system/pcscd.socket; enabled; vendor preset: enabled)
   Active: active (listening) since Mon 2017-07-10 19:01:44 CEST; 2min 34s ago
   Listen: /var/run/pcscd/pcscd.comm (Stream)

Jul 10 19:01:44 linux systemd[1]: Listening on PC/SC Smart Card Daemon Activation Socket.


why is the pcscd.service dead?

why is the pcscd.service dead?

That service will be activated by an Application…

So do you have an Card inserted to your reader?

as root:

journalctl -f

connect the reader, insert a card and run

pcsc_scan

here some more information about the Death of pcscd. Probably we are coming near to a solution, hi.


systemctl -l status pcscd.service
* pcscd.service - PC/SC Smart Card Daemon
   Loaded: loaded (/usr/lib/systemd/system/pcscd.service; indirect; vendor preset: enabled)
   Active: inactive (dead) since Mon 2017-07-10 19:17:19 CEST; 28s ago
  Process: 4308 ExecStart=/usr/sbin/pcscd --foreground --auto-exit $PCSCD_OPTIONS (code=exited, status=0/SUCCESS)
 Main PID: 4308 (code=exited, status=0/SUCCESS)

Jul 10 19:16:18 linux systemd[1]: Started PC/SC Smart Card Daemon.
Jul 10 19:16:18 linux pcscd[4308]: CYBERJACK: Started
Jul 10 19:16:18 linux pcscd[4308]: 00000000 readerfactory.c:1108:RFInitializeReader() Open Port 0x200000 Failed (usb:0c4b/0401:libudev:0:/dev/bus/usb/001/008)
Jul 10 19:16:18 linux pcscd[4308]: 00000025 readerfactory.c:373:RFAddReader() REINER SCT cyberJack pp_a2 (3865505373) init failed.                                                                                                                                                            
Jul 10 19:16:18 linux pcscd[4308]: 00000060 hotplug_libudev.c:520:HPAddDevice() Failed adding USB device: REINER SCT cyberJack pp_a2


And this are my installed Packages:

zypper se -si pcsc
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name           | Typ   | Version              | Arch   | Repository               
---+----------------+-------+----------------------+--------+--------------------------
i  | libpcsclite1   | Paket | 1.8.17-3.1           | x86_64 | openSUSE-Leap-42.2-Update
i  | pcsc-cyberjack | Paket | 3.99.5final.SP09-1.1 | x86_64 | openSUSE-Leap-42.2-Oss   
i  | pcsc-lite      | Paket | 1.8.17-3.1           | x86_64 | openSUSE-Leap-42.2-Update
i+ | pcsc-tools     | Paket | 1.5.2-1.1            | x86_64 | (Systempakete)           
i  | perl-pcsc      | Paket | 1.4.13-4.2           | x86_64 | openSUSE-Leap-42.2-Oss